local mirko = import "../../kube/mirko.libsonnet";

local depotview = import "depotview.libsonnet";
local hackdoc = import "hackdoc.libsonnet";

{
    devtools(name):: mirko.Environment(name) {
        local env = self,
        local cfg = self.cfg,
        
        cfg+: {
            depotview: depotview.cfg,
            hackdoc: hackdoc.cfg {
                publicFQDN: "hackdoc.hackerspace.pl",
            },
        },

        components: {
            depotview: depotview.component(cfg.depotview, env),
            hackdoc: hackdoc.component(cfg.hackdoc, env),
        },
    },

    prod: self.devtools("devtools-prod") {
    },
}
